/*
 * $Id: DrawableNode.java,v 1.2 2005/07/12 16:46:56 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.gdrn.shell.command.topo;

import org.logical_paradox.rss.dsr.routing.Node;

/**
 * I[o[Clbg[Nr[ɔzu\ȃm[h
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class DrawableNode extends Node {
	/** gbNv */
	private Node buddy;
	/**  */
	private double distance = 0.0;
	/**
	 * RXgN^
	 * @param node m[h
	 */
	public DrawableNode(Node node) {
		super(node.getRegistry(), node.getNodeId());
	}
	/**
	 * 2_Ԃ̋v
	 * @param node rm[h
	 * @return ()
	 */
	public double distanceFrom(Node node) {
		if(node.equals(buddy) == false) {
			// O̔rƈႤꍇAČvZ
			distance = super.distanceFrom(node);
			buddy = node;
		}

		return distance;
	}
	/**
	 * LbVNA
	 * Ƃ̋ēxvȂꍇɎgp
	 */
	public void clear() {
		buddy = null;
		distance = 0.0;
	}
}
