/*
 * $Id: Term.java,v 1.4 2006/02/15 16:23:59 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.koike.core.parser;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Iterator;

/**
 * L[
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.4 $
 */
public class Term implements Serializable {
	/** VAo[WUID */
	private static final long serialVersionUID = -8306197056317913560L;
	/**  */
	private final String term;
	/** ʒu̔z */
	private ArrayList<Integer> locations = new ArrayList<Integer>();

	/**
	 * RXgN^
	 * @param t 
	 */
	public Term(String t) {
		term = t;
	}
	/**
	 * ̃L[̌𓾂
	 * @return 
	 */
	public String getTerm() {
		return term;
	}
	/**
	 * L[r
	 * ʒu񂪈ĂCL[ł΂悵Ƃ
	 * @return true: / false:Ⴄ
	 */
	public boolean equals(Object obj) {
		if(obj == null || obj instanceof Term == false) {
			return false;
		}
		Term t = (Term)obj;
		return getTerm().equals(t.getTerm());
	}
	/**
	 * ̃L[̃nbVR[hԂ
	 * ʒu͉CL[vĂΈv
	 */
	public int hashCode() {
		return term.hashCode();
	}
	/**
	 * ʒuǉ
	 * @param loc ʒu
	 */
	public void add(int loc) {
		locations.add(loc);
	}
	/**
	 * ʒu폜
	 * @param loc ʒu
	 */
	public void remove(int loc) {
		locations.remove(loc);
	}
	/**
	 * ʒuւ̃ANZTԂ
	 * @return Ce[^(vf^:Integer)
	 */
	public Iterator<Integer> iterator() {
		return locations.iterator();
	}
}
