/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: NodeContext.java,v 1.3 2005/09/28 16:14:29 rampil Exp $
 */
package org.logical_paradox.vsan.dac;

import org.logical_paradox.vsan.node.Database;

/**
 * ̃ACm[h̃ReLXg
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class NodeContext {
	/** m[hID */
	private final String nodeId;
	/** DAC̃RtBO[V */
	private DacConfig config;
	/** f[^x[X */
	private Database database;
	/** hCɎQĂ邩 */
	private boolean joined = false;

	/**
	 * RXgN^
	 * @param config_ RtBO
	 */
	public NodeContext(DacConfig config_) {
		config = config_;
		nodeId = config.getNodeId();
	}
	/**
	 * hCւ̎QԂݒ肷D
	 * @param b true:QĂ / false:QĂȂ
	 */
	public void join(boolean b) {
		joined = b;
	}
	/**
	 * hCւ̎QԂԂD
	 * @return true:QĂ / false:QĂȂ
	 */
	public boolean isJoined() {
		return joined;
	}
	/**
	 * f[^x[Xݒ肷
	 * @param db f[^x[X
	 */
	public void setDatabase(Database db) {
		database = db;
	}
	/**
	 * RtBO[Vݒ肷
	 * @param config_ RtBO[V
	 */
	public void setConfig(DacConfig config_) {
		config = config_;
	}
	/**
	 * m[hIDԂ
	 * @return m[hID
	 */
	public String getNodeId() {
		return nodeId;
	}
	/**
	 * RtBO[VԂ
	 * @return RtBO[V
	 */
	public DacConfig getConfig() {
		return config;
	}
	/**
	 * f[^x[XԂ
	 * @return f[^x[X
	 */
	public Database getDatabase() {
		return database;
	}
}
