/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: DomainUpdateEventObject.java,v 1.2 2005/09/07 13:38:06 rampil Exp $
 */
package org.logical_paradox.vsan.dfs.event;

import java.util.EventObject;

import org.logical_paradox.vsan.domain.Domain;

/**
 * hC񂪍XVꂽۂɔCxg̃CxgIuWFNg
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class DomainUpdateEventObject extends EventObject {
	/** ύXÕhC */
	private final Domain before;
	/** ύX̃hC */
	private final Domain after;
	/** ̍XVj邩ǂ(true:j / false:jȂ) */
	private boolean consume = false;

	/**
	 * RXgN^
	 * @param source Cxg\[X
	 * @param b ύXO̒l
	 * @param a ύX̒l
	 */
	public DomainUpdateEventObject(Object source, Domain b, Domain a) {
		super(source);

		before = b;
		after = a;
	}
	/**
	 * ύXÕhCԂD
	 * @return ύXÕhC
	 */
	public Domain getDomainBefore() {
		return before;
	}
	/**
	 * ύX̃hCԂD
	 * @return ύX̃hC
	 */
	public Domain getDomainAfter() {
		return after;
	}
	/**
	 * ̍XVj邩ǂԂD
	 * @return true:j / false:jȂ
	 */
	public boolean isConsumed() {
		return consume;
	}
	/**
	 * CxgIuWFNgjD
	 * jꍇA̍XV͖D
	 */
	public void consume() {
		consume = true;
	}
}
