/*
 * $Id$
 * Copyright (c) 2006 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.common.sql;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * f[^x[X֘Ã[eBeBD
 * @author satoshi akabane@logical-paradox.org
 * @versiop $Revision$
 */
public class DbUtils {
	/**
	 * RXgN^D
	 * CX^X͋ȂD
	 */
	private DbUtils() {
	}
	/**
	 * f[^x[XڑN[YD
	 * @param con f[^x[Xڑ
	 * @return null: / SQLException s
	 */
	public static final SQLException closeConnection(Connection con) {
		SQLException exception = null;

		if(con != null) {
			try {
				con.close();
			} catch(SQLException e) {
				exception = e;
			}
		}
		
		return exception;
	}
	/**
	 * Xe[ggN[YD
	 * @param stmt Xe[gg
	 * @return null: / SQLException s
	 */
	public static final SQLException closeStatement(Statement stmt) {
		SQLException exception = null;

		if(stmt != null) {
			try {
				stmt.close();
			} catch(SQLException e) {
				exception = e;
			}
		}
		
		return exception;
	}
	/**
	 * ʃZbgN[YD
	 * @param rs ʃZbg
	 * @return null: / SQLException s
	 */
	public static final SQLException closeResultSet(ResultSet rs) {
		SQLException exception = null;

		if(rs != null) {
			try {
				rs.close();
			} catch(SQLException e) {
				exception = e;
			}
		}
		
		return exception;
	}
}
