/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.console.event;

import java.awt.event.KeyEvent;
import java.util.EventObject;

/**
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.5 $
 */
public class ConsoleEventObject extends EventObject {
	// L[vXCxg
	public static final int E_KEY_PRESS = 1;
	// Rs[Cxg
	public static final int E_COPY = 2;
	// y[XgCxg
	public static final int E_PASTE = 3;

	private int keyCode;
	private char keyChar;
	private String clipboard;
	private int eventType;

	/**
	 * RXgN^
	 * @param source Cxg\[X
	 * @param type Cxg^Cv
	 */
	public ConsoleEventObject(Object source, int type) {
		super(source);
		switch(type) {
			case E_KEY_PRESS:
			case E_COPY:
			case E_PASTE:
				break;
			default:
				// wȃCxg^Cvw肳ꂽꍇ
				throw new IllegalArgumentException();
		}
	}
	/**
	 * ꂽL[ݒ肷
	 * @param c ꂽL[
	 */
	public void setKeyCode(int c) {
		keyCode = c;
	}
	/**
	 * ꂽL[Ԃ
	 * @return ꂽL[
	 */
	public int getKeyCode() {
		return keyCode;
	}
	public void setKeyChar(char c) {
		keyChar = c;
	}
	public char getKeyChar() {
		return keyChar;
	}
	/**
	 * L[̓CxgԂ
	 * @return L[̓CxgIuWFNg
	 */
	public KeyEvent getKeyEvent() {
		return (KeyEvent)source;
	}
	/**
	 * Nbv{[hփRs[
	 * @param str Rs[镶
	 */
	public void setClipBoard(String str) {
		clipboard = str;
	}
	/**
	 * Nbv{[hɐݒ肳Ă镶Ԃ
	 * @return Nbv{[h̕
	 */
	public String getClipBoard() {
		return clipboard;
	}
}
