/*
 * $Id: Element.java,v 1.4 2006/01/31 17:10:01 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.koike.core.search;

import java.util.ArrayList;
import java.util.List;

import org.logical_paradox.common.util.StringUtils;

/**
 * vf
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.4 $
 */
public class Element {
	/** ANDvf */
	public static final int TYPE_AND = 1;
	/** ORvf */
	public static final int TYPE_OR = 2;
	/** SEQvf */
	public static final int TYPE_SEQ = 56;
	/** vf */
	public static final int TYPE_TERM = 64;

	/** qvf */
	private List<Element> childNodes = new ArrayList<Element>();
	/** vf^ */
	private int type;

	/** vfID(hashCodeŎgp) */
	private final String elementId;
	/** vf̒l */
	private final String value;

	/**
	 * RXgN^
	 * @param t vf^
	 */
	public Element(int t) {
		type = t;
		value = null;
		// vfʎq128̃_ȕ */
		elementId = StringUtils.randomText(128, true);
	}
	/**
	 * RXgN^
	 * @param t vf^
	 * @param term l
	 */
	public Element(int t, String term) {
		type = t;
		elementId = StringUtils.randomText(128, true);
		value = term;
	}
	/**
	 * qvfǉ
	 * @param e qvf
	 */
	public void addChildNode(Element e) {
		childNodes.add(e);
	}
	/**
	 * ̗vf̉ʂɂԂ牺ĂvfԂ
	 * @return vf̃Xg
	 */
	public List<Element> getChildNodes() {
		return childNodes;
	}
	/**
	 * qvf폜
	 * @param e 폜Ώۂ̗vf
	 */
	public void removeChildNode(Element e) {
		childNodes.remove(e);
	}
	/**
	 * vf̌^Ԃ
	 * @return vf^
	 */
	public int getElementType() {
		return type;
	}
	/**
	 * ̗vf̑lԂ
	 * @return l
	 */
	public String getAttribute() {
		return value;
	}
	/**
	 * nbVR[hԂ
	 * @return nbVR[h
	 */
	public int hashCode() {
		return elementId.hashCode();
	}
	/**
	 * vfmr
	 * @param o rΏ
	 * @return true: / false:Ⴄ
	 */
	public boolean equals(Object o) {
		if(o == null || o instanceof Element == false) {
			return false;
		}

		Element e = (Element)o;
		return elementId.equals(e.elementId);
	}
}
