/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.shell.impl;

import org.logical_paradox.shell.CommandLineParameters;
import org.logical_paradox.shell.CommandLineParser;
import org.logical_paradox.shell.ShellEnv;
import org.logical_paradox.shell.exception.CommandExecutionException;
import org.logical_paradox.shell.exception.ParserException;

/**
 * R}hsp[U[̃t@X
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.6 $
 */
public class CommandLineParserImpl implements CommandLineParser {
	/** VFϐ */
	private final ShellEnv env;

	/**
	 * RXgN^
	 */
	public CommandLineParserImpl(ShellEnv se) {
		env = se;
	}
	/**
	 * R}hs͂s
	 * @param line w肳ꂽR}hs
	 * @return R}hsp[^
	 * @throws ParserException ͂Ɏs
	 */
	public CommandLineParameters parse(String line) throws ParserException, CommandExecutionException {
		// ܂Xy[X؂ŕ𕪊
		String[] tokens = line.trim().split(" ");

		CommandLineParameters param = new CommandLineParameters(env);
		// ŏ1̓R}hƂ
		param.setCommand(tokens[0]);
		// c͑SăIvV܂͈
		for(int i = 1; i < tokens.length; i++) {
			param.addArgument(tokens[i]);
		}

		return param;
	}

}
